Bug 869985 - "ORA-00001: unique constraint" during schema upgrade
"ORA-00001: unique constraint" during schema upgrade
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.8
Unspecified Linux
high Severity urgent
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-10-25 05:50 EDT by Milan Zazrivec
Modified: 2012-11-01 12:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 867408
Environment:
Last Closed: 2012-11-01 12:20:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2012-10-25 05:50:54 EDT
+++ This bug was initially created as a clone of Bug #867408 +++

Description of problem:

Schema upgrade from Spacewalk 1.6 to Spacewalk 1.7:

...

update rhnpackagegroup set name = substr(name, 1, length(name)-1)
*
ERROR at line 1:
ORA-00001: unique constraint (RHNSAT.RHN_PACKAGE_GROUP_NAME_UQ) violated
----


Version-Release number of selected component (if applicable):
Spacewalk 1.6 -> 1.7 schema upgrades

How reproducible:
Deterministic

Steps to Reproduce:
1. Spacewalk 1.6
2. Push a src rpm to your Spacewalk such that its package group is not
used by any of the binary rpms you have on your Spacewalk already
3. Upgrade to Spacewalk 1.7
  
Actual results:
Schema upgrade failes with the error above.

Expected results:
Schema upgrades successfully.

Additional info:
N/A
Comment 1 Milan Zazrivec 2012-10-25 05:55:03 EDT
spacewalk.git master: 220aa08351af2365ecea664c07416ea24a6ea2a2
Comment 2 Milan Zazrivec 2012-10-25 07:09:19 EDT
spacewalk.git master: 7b83198641109da47a4f5f47448dec5efe07ba13
Comment 3 Jan Pazdziora 2012-10-30 15:25:10 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 4 Jan Pazdziora 2012-11-01 12:20:36 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.